%global __provides_exclude_from %{_datadir}/doc/.*
%global __requires_exclude_from %{_datadir}/doc/.*
%define	module	matplotlib
%define	basepy3dir	%(echo ../`basename %{py3dir}`)
%define with_html 0
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

# the default backend; one of GTK GTKAgg GTKCairo GTK3Agg GTK3Cairo
# CocoaAgg MacOSX Qt4Agg TkAgg WX WXAgg Agg Cairo GDK PS PDF SVG
%global backend                 TkAgg
%global with_bundled_fonts      1

Name:		python-%{module}
Version:	1.4.3
Release:	%mkrel 1
Summary:	Matlab-style 2D plotting package for Python
Group:		Development/Python
License:	Python license
URL:		http://matplotlib.org/
Source0:	https://downloads.sourceforge.net/project/%{module}/%{module}/%{module}-%{version}/%{module}-%{version}.tar.gz
Source1:        setup.cfg

Patch0:         %{name}-noagg.patch
Patch1:         %{name}-system-cxx.patch
#Patch2:         20_matplotlibrc_path_search_fix.patch
Patch3:         40_bts608939_draw_markers_description.patch
Patch4:         50_bts608942_spaces_in_param_args.patch
#Patch5:         60_deal_with_no_writable_dirs.patch
Patch6:         70_bts720549_try_StayPuft_for_xkcd.patch


BuildRequires:	python-setuptools
BuildRequires:	python-numpy-devel >= 1.1.0
BuildRequires:	libwxPythonGTK-devel
BuildRequires:	pygtk2.0-devel
BuildRequires:	cairo-devel
BuildRequires:	tkinter
BuildRequires:	tcl-devel
BuildRequires:	tk-devel
BuildRequires:	freetype2-devel >= 2.1.7
BuildRequires:	python-qt4
BuildRequires:	python-qt4-devel
BuildRequires:	python-qt5
BuildRequires:	python-qt5-devel
BuildRequires:	agg-devel
BuildRequires:	libpng-devel
BuildRequires:	zlib-devel 
BuildRequires:	python-configobj
BuildRequires:	python-dateutil
BuildRequires:	python-pytz
BuildRequires:	python-docutils
BuildRequires:	python-sphinx
BuildRequires:	ipython
BuildRequires:	python-six
BuildRequires:	python-gobject3-devel
BuildRequires:	pyside
BuildRequires:  gtk+3-devel
BuildRequires:  python-gi
BuildRequires:  python-gi-cairo

%if %{with_html}
BuildRequires:  python-numpydoc
%endif
Obsoletes:	%{name}-emf 
Obsoletes:	%{name}-fltk 
Requires:	python-numpy >= 1.1.0
Requires:	python-configobj
Requires:	python-dateutil
Requires:	python-pytz
Requires:   python-pyparsing
Requires:	python-gi
Requires:       fonts-ttf-bitstream-vera

# GTKAgg does not require extra subpackages, but does not work with python3
%if "%{backend}" == "TkAgg"
Requires:       %{name}-tk = %{version}-%{release}
%else
%  if "%{backend}" == "Qt4Agg"
Requires:       %{name}-qt4 = %{version}-%{release}
%  endif
%endif

%description
matplotlib is a Python 2D plotting library which produces publication
quality figures in a variety of hardcopy formats and interactive
environments across platforms. matplotlib can be used in Python
scripts, the python and ipython shell (a la Matlab or Mathematica), web
application servers, and various graphical user interface toolkits.

%package cairo
Summary:	Cairo backend for matplotlib
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-cairo >= 1.2.0

%description cairo
This package contains the Cairo backend for matplotlib.

%package gtk
Summary:	GDK and GTK backends for matplotlib
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}
Requires:	pygtk2.0 >= 2.4.0
Requires:	%{name}-cairo = %{version}-%{release}

%description gtk
This package contains the GDK and GTK backends for matplotlib.

%package gtk3
Summary:	GTK3 backends for matplotlib
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-cairo = %{version}-%{release}

%description gtk3
This package contains the GDK3 backends for matplotlib.

%package qt4
Summary:	Qt4 backend for matplotlib
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}
Requires:   %{name}-qt-shared = %{version}-%{release}
Requires:	python-qt4

%description qt4
This package contains the Qt4 backend for matplotlib.

%package qt5
Summary:	Qt5 backend for matplotlib
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}
Requires:   %{name}-qt-shared = %{version}-%{release}
Requires:	python-qt5

%description qt5
This package contains the Qt5 backend for matplotlib.

%package qt-shared
Summary:    Shared files for the Qt backends for matplotlib
Group:      Development/Python
Requires:   %{name} = %{version}-%{release}
Requires:   python-qt5

%description qt-shared
This package includes files needed by both the Qt4-based pyqt4 and 
pyside backends and the Qt5-based pyqt5 backend for the matplotlib
plotting package

%package svg
Summary:	SVG backend for matplotlib
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}

%description svg
This package contains the SVG backend for matplotlib.

%package pgf
Summary:	PGF backend for matplotlib
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}

%description pgf
This package contains the PGF backend for matplotlib.

%package tk
Summary:	Tk backend for matplotlib
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}
Requires:	tkinter

%description tk
This package contains the Tk backend for matplotlib.

%package wx
Summary:	wxPython backend for matplotlib
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}
Requires:	wxPython

%description wx
This package contains the wxPython backend for matplotlib.

%package doc
Summary:	Documentation for matplotlib
Group:		Development/Python
BuildArch: noarch

%description doc
This package contains documentation and sample code for matplotlib.

%package -n	python3-matplotlib
Summary:	Python 2D plotting library
Group:		Development/Python
BuildRequires:	python3-setuptools
BuildRequires:	python3-cairo
BuildRequires:	python3-dateutil
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-gobject3
BuildRequires:	python3-numpy-devel
BuildRequires:	python3-pyparsing
BuildRequires:	python3-pytz
BuildRequires:	python3-six
BuildRequires:	python3-qt5
BuildRequires:	python3-qt4
BuildRequires:	python3-sip-devel
BuildRequires:	python3-pyside
# Try to build without xvfb-run to see if it solve the dbus problem
#BuildRequires:	x11-server-xvfb
Requires:	python3-gobject3
Requires:	python3-numpy
Requires:	python3-cairo
Requires:	python3-pyparsing
Requires:	python3-dateutil
Requires:	python3-pytz
Requires:       fonts-ttf-bitstream-vera
%if "%{backend}" == "TkAgg"
Requires:       python3-matplotlib-tk = %{version}-%{release}
%else
%  if "%{backend}" == "Qt4Agg"
Requires:       python3-matplotlib-qt4 = %{version}-%{release}
%  endif
%endif

%description -n	python3-matplotlib
Matplotlib is a python 2D plotting library which produces publication
quality figures in a variety of hardcopy formats and interactive
environments across platforms. matplotlib can be used in python
scripts, the python and ipython shell, web application servers, and
six graphical user interface toolkits.

Matplotlib tries to make easy things easy and hard things possible.
You can generate plots, histograms, power spectra, bar charts,
errorcharts, scatterplots, etc, with just a few lines of code.

%package -n	python3-matplotlib-qt4
Summary:	Qt4 backend for python3-matplotlib
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python3-qt4

%description -n	python3-matplotlib-qt4
%{summary}

%package -n	python3-matplotlib-tk
Summary:	Tk backend for python3-matplotlib
Group:		Development/Python
Requires:	python3-matplotlib = %{version}-%{release}
BuildRequires:	tkinter3
Requires:	tkinter3

%description -n	python3-matplotlib-tk
%{summary}

%prep
%setup -q -n %{module}-%{version}
# Copy setup.cfg to the builddir
cp %{SOURCE1} .
sed -i 's/\(backend = \).*/\1%{backend}/' setup.cfg


%if !%{with_bundled_fonts}
# Use fontconfig by default
sed -i 's/\(USE_FONTCONFIG = \)False/\1True/' lib/matplotlib/font_manager.py
%endif

# Remove bundled libraries
rm -rf  CXX

# Remove references to bundled libraries
%patch0 -b .noagg
%patch1 -b .cxx
#patch2 -p1
%patch3 -p1
%patch4 -p1
#patch5 -p1
%patch6 -p1

chmod -x lib/matplotlib/mpl-data/images/*.svg
rm -rf %{py3dir}
cp -a . %{py3dir}

%build
find -name .svn | xargs rm -rf

# Remove duplicate test data file:
%__rm -f lib/matplotlib/tests/baseline_images/test_axes/shaped\ data.svg
MPLCONFIGDIR=$PWD \
MATPLOTLIBDATA=$PWD/lib/matplotlib/mpl-data \
CFLAGS="%{optflags}" \
  %{__python} setup.py build


%if %{with_html}
# Need to make built matplotlib libs available for the sphinx extensions:
pushd doc
    export PYTHONPATH=`realpath ../build/lib.linux*`
    %{__python} make.py html
popd
%endif

pushd %{py3dir}
find -name .svn | xargs rm -rf
# Remove duplicate test data file:
%__rm -f lib/matplotlib/tests/baseline_images/test_axes/shaped\ data.svg
MPLCONFIGDIR=$PWD \
MATPLOTLIBDATA=$PWD/lib/matplotlib/mpl-data \
CFLAGS="%{optflags}" \
  %{__python3} setup.py build
popd


%install
pushd %{py3dir}
    %{__python3} setup.py install -O1 --skip-build --root=%{buildroot}
    chmod +x $RPM_BUILD_ROOT%{python3_sitearch}/matplotlib/dates.py
    rm -rf $RPM_BUILD_ROOT%{python3_sitearch}/matplotlib/mpl-data/fonts
    rm -f $RPM_BUILD_ROOT%{python3_sitearch}/six.py
popd

%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%files
%{py_platsitedir}/%{module}/*.py*
%{py_platsitedir}/%{module}/*.so
%{py_platsitedir}/%{module}*egg-info
%{py_platsitedir}/%{module}-*-nspkg.pth
%{py_platsitedir}/%{module}/backends/Matplotlib.nib*
%{py_platsitedir}/%{module}/backends/__init__*
%{py_platsitedir}/%{module}/backends/*backend_agg*
%{py_platsitedir}/%{module}/backends/backend_cocoa*
%{py_platsitedir}/%{module}/backends/backend_macosx*
%{py_platsitedir}/%{module}/backends/backend_mixed*
%{py_platsitedir}/%{module}/backends/backend_pdf*
%{py_platsitedir}/%{module}/backends/backend_ps*
%{py_platsitedir}/%{module}/backends/backend_template*
%{py_platsitedir}/%{module}/backends/windowing*
%{py_platsitedir}/%{module}/backends/web_backend*
%{py_platsitedir}/%{module}/backends/backend_webagg*
%{py_platsitedir}/%{module}/delaunay*
%{py_platsitedir}/%{module}/mpl-data/*
%{py_platsitedir}/%{module}/projections*
%{py_platsitedir}/%{module}/sphinxext*
%{py_platsitedir}/%{module}/test*
%{py_platsitedir}/%{module}/tri*
%{py_platsitedir}/%{module}/compat*
%{py_platsitedir}/mpl_toolkits*
%{py_platsitedir}/pylab*
%{py_platsitedir}/%{module}/axes/
%{py_platsitedir}/%{module}/backends/backend_nbagg*
%{py_platsitedir}/%{module}/style/

%files cairo
%{py_platsitedir}/%{module}/backends/backend_cairo.py*

%files gtk
%{py_platsitedir}/%{module}/backends/backend_gdk.py*
%{py_platsitedir}/%{module}/backends/backend_gtk.py*
%{py_platsitedir}/%{module}/backends/backend_gtkagg.py*
%{py_platsitedir}/%{module}/backends/backend_gtkcairo.py*
%{py_platsitedir}/%{module}/backends/_backend_gdk.so
%{py_platsitedir}/%{module}/backends/_gtkagg.so

%files gtk3
%{py_platsitedir}/%{module}/backends/backend_gtk3.py*
%{py_platsitedir}/%{module}/backends/backend_gtk3agg.py*
%{py_platsitedir}/%{module}/backends/backend_gtk3cairo.py*

%files qt4
%{py_platsitedir}/%{module}/backends/backend_qt4.py*
%{py_platsitedir}/%{module}/backends/backend_qt4agg.py*

%files qt-shared
# IMPORTANT: the qt4 backend makes use of the qt5 backend, 
# which is actually a generic qt backend.
# So we need to package all the qt5 stuff in this generic
# package, and provide a stub package which pulls in the 
# python-qt5 dependency.
%{python_sitearch}/%{module}/backends/backend_qt5.*
%{python_sitearch}/%{module}/backends/backend_qt5agg.*
%{python_sitearch}/%{module}/backends/qt_compat.*
%{python_sitearch}/%{module}/backends/qt4_compat.*
%{python_sitearch}/%{module}/backends/qt_editor/

%files qt5
# IMPORTANT: the qt4 backend makes use of the qt5 backend, 
# which is actually a generic qt backend.
# So we need to package all the qt5 stuff in a generic
# package, and provide this stub package which pulls in the 
# python-qt5 dependency.
%doc README.rst

%files pgf
%{py_platsitedir}/%{module}/backends/backend_pgf.py*

%files svg
%{py_platsitedir}/%{module}/backends/backend_svg.py*

%files tk
%{py_platsitedir}/%{module}/backends/backend_tkagg.py*
%{py_platsitedir}/%{module}/backends/tkagg.py*
%{py_platsitedir}/%{module}/backends/_tkagg.so

%files wx
%{py_platsitedir}/%{module}/backends/backend_wx.py*
%{py_platsitedir}/%{module}/backends/backend_wxagg.py*

%files doc
%doc examples/  
%if %{with_html}
%doc doc/build/html/*
%endif

%files -n python3-matplotlib
%{python3_sitearch}/*egg-info
%{python3_sitearch}/matplotlib/
%{python3_sitearch}/mpl_toolkits/
%{python3_sitearch}/pylab.py*
%{python3_sitearch}/__pycache__/
%{python3_sitearch}/%{module}-*-nspkg.pth
%exclude %{python3_sitearch}/matplotlib/backends/backend_qt4.*
%exclude %{python3_sitearch}/matplotlib/backends/backend_qt4agg.*
%exclude %{python3_sitearch}/matplotlib/backends/backend_tkagg.*
%exclude %{python3_sitearch}/matplotlib/backends/tkagg.*
%exclude %{python3_sitearch}/matplotlib/backends/_tkagg.*

%files -n python3-matplotlib-qt4
%{python3_sitearch}/matplotlib/backends/backend_qt4.*
%{python3_sitearch}/matplotlib/backends/backend_qt4agg.*

%files -n python3-matplotlib-tk
%{python3_sitearch}/matplotlib/backends/backend_tkagg.py*
%{python3_sitearch}/matplotlib/backends/tkagg.*
%{python3_sitearch}/matplotlib/backends/_tkagg.*



%changelog
* Thu Aug 13 2015 philippem <philippem> 1.4.3-1.mga5
+ Revision: 864531
- update to 1.4.3, fix mga#16557

* Mon Feb 02 2015 joequant <joequant> 1.4.0-10.mga5
+ Revision: 813086
- add vera fonts to python3 version

* Sun Feb 01 2015 joequant <joequant> 1.4.0-9.mga5
+ Revision: 812951
- add vera fonts

* Thu Dec 18 2014 joequant <joequant> 1.4.0-8.mga5
+ Revision: 803919
- include fedora patchs.  make it work without qt5

* Tue Dec 02 2014 philippem <philippem> 1.4.0-7.mga5
+ Revision: 800359
- remove wrong dependency on python-pyxml

* Fri Oct 31 2014 joequant <joequant> 1.4.0-6.mga5
+ Revision: 795013
- use tkagg as default and remove unneeded backends

* Wed Oct 15 2014 umeabot <umeabot> 1.4.0-5.mga5
+ Revision: 741344
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.4.0-4.mga5
+ Revision: 729021
- rebuild for missing pythoneggs deps
- auto convert _exclude_files_from_autoreq

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Sat Sep 13 2014 philippem <philippem> 1.4.0-2.mga5
+ Revision: 675153
- fixing requires and BR

* Tue Sep 09 2014 philippem <philippem> 1.4.0-1.mga5
+ Revision: 674450
- fixe file list, add missing BR
- matplotlib need python-qt5
- update to 1.4.0

* Sat May 31 2014 pterjan <pterjan> 1.3.1-3.mga5
+ Revision: 628782
- Rebuild for new Python

* Fri Apr 25 2014 philippem <philippem> 1.3.1-2.mga5
+ Revision: 618096
- fix missing BR on python3-numpy-devel

* Sun Mar 16 2014 philippem <philippem> 1.3.1-1.mga5
+ Revision: 604266
- Update to 1.3.1

* Sat Nov 02 2013 fwang <fwang> 1.3.0-7.mga4
+ Revision: 548949
- filter correctly
- add requires

* Tue Oct 22 2013 umeabot <umeabot> 1.3.0-6.mga4
+ Revision: 543865
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.3.0-5.mga4
+ Revision: 498899
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Oct 02 2013 philippem <philippem> 1.3.0-4.mga4
+ Revision: 490539
+ rebuild (emptylog)

* Wed Sep 11 2013 joequant <joequant> 1.3.0-3.mga4
+ Revision: 477699
- add pyparsing which is required by matplotlib

* Sat Sep 07 2013 philippem <philippem> 1.3.0-2.mga4
+ Revision: 475676
- add matplotlib_UnicodeDecodeError.patch to fix mga#11128
- add requires on matplotlib-qt4 to fix mga#11131

* Wed Aug 28 2013 philippem <philippem> 1.3.0-1.mga4
+ Revision: 472699
- drop tk patch (upstream solved build issue differently)
- obsolete emf and fltk backends no longer provided upstream
- review file list
- disable build html doc
- disable build html doc
- Try to build without xvfb-run to see if it solve the dbus problem
- update to 1.3.0

* Thu Jul 04 2013 philippem <philippem> 1.2.0-4.mga4
+ Revision: 450088
- add Python 3

* Mon Jun 03 2013 fwang <fwang> 1.2.0-3.mga4
+ Revision: 436071
- rebuild for new libpng

* Sun Jan 13 2013 umeabot <umeabot> 1.2.0-2.mga3
+ Revision: 379123
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 philippem <philippem> 1.2.0-1.mga3
+ Revision: 334342
- Update to 1.2.0

* Sun Oct 07 2012 philippem <philippem> 1.1.1-1.mga3
+ Revision: 303208
- Update to 1.1.1

* Fri Oct 21 2011 philippem <philippem> 1.1.0-1.mga2
+ Revision: 157235
- Update to 1.1.0

* Tue Sep 20 2011 fwang <fwang> 1.0.1-4.mga2
+ Revision: 145920
- fix build with latest libpng
- rebuild for new libpng
- br agg
- add debian patch to fix tkinter version detection
- sync with fedora package
- rebuild for new tcl

* Mon Apr 25 2011 grenoya <grenoya> 1.0.1-2.mga1
+ Revision: 90209
- increase release
- remove python-matplotlib-qt subpackage

* Sun Apr 24 2011 grenoya <grenoya> 1.0.1-1.mga1
+ Revision: 90115
- remove python-qt from buildrequires
- imported package python-matplotlib


* Fri Jan 07 2011 Lev Givon <lev@mandriva.org> 1.0.1-1mdv2011.0
+ Revision: 629185
- Update to 1.0.1.

* Thu Nov 04 2010 Paulo Andrade <pcpa@mandriva.com.br> 1.0.0-6mdv2011.0
+ Revision: 593527
+ rebuild (emptylog)

* Tue Nov 02 2010 Michael Scherer <misc@mandriva.org> 1.0.0-5mdv2011.0
+ Revision: 592431
- rebuild for python 2.7

  + Andrey Borzenkov <arvidjaar@mandriva.org>
    - rebuild for new python 2.7

  + Thierry Vignaud <tv@mandriva.org>
    - make doc subpackage noarch

* Tue Sep 07 2010 Lev Givon <lev@mandriva.org> 1.0.0-2mdv2011.0
+ Revision: 576692
- Bump release to force rebuild.

* Mon Jul 19 2010 Lev Givon <lev@mandriva.org> 1.0.0-1mdv2011.0
+ Revision: 555007
- Update to 1.0.0.

* Mon May 31 2010 Lev Givon <lev@mandriva.org> 0.99.3-1mdv2010.1
+ Revision: 546714
- Update to 0.99.3.

* Sun May 02 2010 Lev Givon <lev@mandriva.org> 0.99.1.2-4mdv2010.1
+ Revision: 541674
- Make main package require installation of gtk backend (#59044).

* Sat Apr 10 2010 Lev Givon <lev@mandriva.org> 0.99.1.2-3mdv2010.1
+ Revision: 533535
- Put docs in a separate package (#58679).

* Sun Jan 10 2010 Lev Givon <lev@mandriva.org> 0.99.1.2-2mdv2010.1
+ Revision: 488922
- Spin off backends with special installation dependencies
  to separate packages (#50278).

* Fri Dec 18 2009 Lev Givon <lev@mandriva.org> 0.99.1.2-1mdv2010.1
+ Revision: 479862
- Update to 0.99.1.2.

* Mon Oct 12 2009 Funda Wang <fwang@mandriva.org> 0.99.1-4mdv2010.0
+ Revision: 456749
- rebuild

* Wed Oct 07 2009 Lev Givon <lev@mandriva.org> 0.99.1-3mdv2010.0
+ Revision: 455814
- Require python-qt, python-qt4.
  Rebuild against new python-qt4.

* Wed Sep 23 2009 Lev Givon <lev@mandriva.org> 0.99.1-2mdv2010.0
+ Revision: 447968
- Use updated tarball that does not contain a spurious setup.cfg file.

* Wed Sep 23 2009 Lev Givon <lev@mandriva.org> 0.99.1-1mdv2010.0
+ Revision: 447593
- Update to 0.99.1.

* Mon Aug 10 2009 Lev Givon <lev@mandriva.org> 0.99.0-2mdv2010.0
+ Revision: 414467
- Build docs as html.

* Sat Aug 08 2009 Frederik Himpe <fhimpe@mandriva.org> 0.99.0-1mdv2010.0
+ Revision: 411742
- Update to new version 0.99.0
- Remove literal patch: not needed anymore

* Tue May 19 2009 Paulo Andrade <pcpa@mandriva.com.br> 0.98.5.3-2mdv2010.0
+ Revision: 377417
- Rebuild without dependency on python-enthought-traits.

* Mon Feb 09 2009 Lev Givon <lev@mandriva.org> 0.98.5.3-1mdv2009.1
+ Revision: 338955
- Update to 0.98.5.3.

* Wed Dec 31 2008 Adam Williamson <awilliamson@mandriva.org> 0.98.5.2-2mdv2009.1
+ Revision: 321619
- rebuild for python 2.6
- clean up python requires
- add literal.patch (fix a string literal error)

* Fri Dec 19 2008 Lev Givon <lev@mandriva.org> 0.98.5.2-1mdv2009.1
+ Revision: 316008
- Update to 0.98.5.2.

* Fri Dec 12 2008 Lev Givon <lev@mandriva.org> 0.98.5-1mdv2009.1
+ Revision: 313694
- Update to 0.98.5.

* Wed Dec 10 2008 Lev Givon <lev@mandriva.org> 0.98.4-1mdv2009.1
+ Revision: 312592
- Update to 0.98.4.

* Sat Dec 06 2008 Adam Williamson <awilliamson@mandriva.org> 0.98.3-3mdv2009.1
+ Revision: 311038
- rebuild for new tcl
- small cleanup

* Fri Oct 31 2008 Lev Givon <lev@mandriva.org> 0.98.3-2mdv2009.1
+ Revision: 298971
- Remove python-enthought-traits-ui dependency
  (no longer needed after upgrade to traits 3).

* Thu Aug 07 2008 Lev Givon <lev@mandriva.org> 0.98.3-1mdv2009.0
+ Revision: 266422
- Update to 0.98.3.
  Build user manual directly from source.

* Thu Jul 17 2008 Lev Givon <lev@mandriva.org> 0.98.2-3mdv2009.0
+ Revision: 237778
- Add traits dependencies.

* Fri Jul 11 2008 Lev Givon <lev@mandriva.org> 0.98.2-2mdv2009.0
+ Revision: 233825
- Add python-pytz and python-dateutil dependencies.
- Update to 0.98.2.
- Update to 0.98.1.

* Sun Jun 01 2008 Lev Givon <lev@mandriva.org> 0.98.0-1mdv2009.0
+ Revision: 214132
- Update to 0.98.0.

* Wed Mar 19 2008 Lev Givon <lev@mandriva.org> 0.91.2-2mdv2008.1
+ Revision: 188792
- Add python-config dependency (39041).

* Wed Jan 09 2008 Lev Givon <lev@mandriva.org> 0.91.2-1mdv2008.1
+ Revision: 147007
- Update to 0.91.2.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 06 2007 Lev Givon <lev@mandriva.org> 0.91.1-2mdv2008.1
+ Revision: 116031
- Replace my patch with the one from the matplotlib developers.

* Wed Dec 05 2007 Lev Givon <lev@mandriva.org> 0.91.1-1mdv2008.1
+ Revision: 115740
- Update to 0.91.1.
  Add patch to fix matplotlib bug 1845057.

* Wed Nov 21 2007 Lev Givon <lev@mandriva.org> 0.90.1-2mdv2008.1
+ Revision: 111043
- Clean up build requirements.

* Sun Jun 03 2007 Lev Givon <lev@mandriva.org> 0.90.1-1mdv2008.0
+ Revision: 34938
- Update to 0.90.1.
  Tweak build deps.


* Mon Mar 19 2007 Lev Givon <lev@mandriva.org> 0.90.0-2mdv2007.1
+ Revision: 146366
- Add user manual.

* Wed Feb 07 2007 Lev Givon <lev@mandriva.org> 0.90.0-1mdv2007.1
+ Revision: 117115
- Update to 0.90.0.

* Fri Jan 26 2007 Lev Givon <lev@mandriva.org> 0.87.7-3mdv2007.1
+ Revision: 114197
- Improve dependency information.

* Sun Dec 10 2006 Lev Givon <lev@mandriva.org> 0.87.7-2mdv2007.1
+ Revision: 94418
- Bump release to force rebuild with Python 2.5.

* Wed Nov 01 2006 Lev Givon <lev@mandriva.org> 0.87.7-1mdv2007.1
+ Revision: 75080
- Update to 0.87.7.

* Wed Nov 01 2006 Lev Givon <lev@mandriva.org> 0.87.6-2mdv2007.1
+ Revision: 75024
- Raise release number to placate build system.
- Update to 0.87.6.
- Import python-matplotlib

* Mon Jul 17 2006 Lev Givon <lev@mandriva.org> 0.87.4-2mdk
- Rebuild against python-numpy 1.0b1.

* Mon Jul 17 2006 Lev Givon <lev@mandriva.org> 0.87.4-1mdk
- Update version.

* Tue Jun 13 2006 Lev Givon <lev@mandriva.org> 0.87.3-1mdk
- Update version.

* Tue Mar 28 2006 Lev Givon <lev@mandriva.org> 0.87.2-3mdk
- add mpl3d module

* Fri Mar 24 2006 Lev Givon <lev@mandriva.org> 0.87.2-2mdk
- make buildreqs backward compatible

* Sun Mar 19 2006 Lev Givon <lev@mandriva.org> 0.87.2-1mdk
- upgrade to 0.87.2
- add numpy dependency

* Fri Feb 03 2006 Lev Givon <lev@mandriva.org> 0.86.2-1mdk
- upgrade to 0.86.2
- fix installation datapath

* Tue Jan 03 2006 Oden Eriksson <oeriksson@mandriva.com> 0.85-1mdk
- 0.85
- fix deps

* Mon Aug 01 2005 Lev Givon <lev@mandriva.org> 0.83.2-1mdk
- upgrade to 0.83.2

* Wed Jul 20 2005 Lenny Cartier <lenny@mandriva.com> 0.82-5mdk
- add examples (Lev Givon)
- add Python license to satisfy rpmlint

* Fri Jul 15 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.82-4mdk
- fix buildrequires

* Wed Jul 13 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.82-3mdk
- fix requres

* Fri Jun 17 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.82-2mdk
- blah, fix buildrequires

* Fri Jun 17 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.82-1mdk
- inital release

